Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 879032 - F17 is trying to connect to non-existed networks during boot
Summary: F17 is trying to connect to non-existed networks during boot
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-21 21:21 UTC by Milan Kerslager
Modified: 2014-03-17 03:32 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-28 13:51:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Milan Kerslager 2012-11-21 21:21:15 UTC
I have some WiFi networks predefined. Most of them are global, because I'm sharing the notebook with some people.

When the system boots, I see a lot of delays (2 sec or so for every defined network) when "network" script is trying to connect to WiFi networks that are not present in the place I'm booting. I have to blacklist WiFi module to prevent these delays.

I don't understand why this happens during boot, when there is NetworkManager in GUI and I don't want to connect before GUI is on. I don't understand why it is trying to connect to the networks that aren't there, even the ethernet port which is not connected at all... This is crazy :-) and annoying, frustrating when I see twenty networks include some auto-detected and auto-configured but never used.

Comment 1 Lukáš Nykrýn 2013-03-28 13:51:13 UTC
Solution to this is to have network.service disabled and from f19 initscripts will skip wireless networks if they are handled with NM and NM is on.


Note You need to log in before you can comment on or make changes to this bug.